diff -ruN vdr-1.3.24/CONTRIBUTORS vdr-1.3.25/CONTRIBUTORS
--- vdr-1.3.24/CONTRIBUTORS	2005-05-08 16:09:52.000000000 +0200
+++ vdr-1.3.25/CONTRIBUTORS	2005-05-29 13:44:52.000000000 +0200
@@ -197,6 +197,8 @@
  for fixing handling symbolic links in cRecordings::ScanVideoDir()
  for reporting a memory leak in tComponent
  for fixing a memory leak in cDvbPlayer
+ for pointing out that recordings with empty episode names were not listed correctly
+ in the LSTR command
 
 Ulrich Röder <roeder@efr-net.de>
  for pointing out that there are channels that have a symbol rate higher than 27500
@@ -408,6 +410,7 @@
  change in Daylight Saving Time
  for suggesting to avoid the external 'find' command to scan the video directory
  for reporting a problem with inconsistent channel and timer lists
+ for making the "Play" key in live viewing mode resume a previous replay session
 
 Michael Rakowski <mrak@gmx.de>
  for translating OSD texts to the Polish language
@@ -563,6 +566,7 @@
  for reporting a problem with the name of the remote control for which the keys are
  being learned overwriting the date/time in the 'classic' skin
  for making cDvbOsd check available OSD memory at runtime
+ for making cEIT::cEIT() drop EPG events that have a zero start time or duration
 
 Reinhard Walter Buchner <rw.buchner@freenet.de>
  for adding some satellites to 'sources.conf'
@@ -603,6 +607,8 @@
  for reporting a problem with newly created timers in case they are not confirmed
  with "Ok"
  for reporting an occasional "Broken pipe" error in SVDRP connections
+ for reporting that some cable channels don't mark short channel names according
+ to the standard
 
 Jaakko Hyvätti <jaakko@hyvatti.iki.fi>
  for translating OSD texts to the Finnish language
@@ -642,6 +648,7 @@
  for fixing detecting the /dev/videoN devices for GRAB in case there are others
  before the DVB devices
  for fixing a possible NULL pointer access in cEITScanner::Process()
+ for pointing out that 'vdr --version' failed on an UTF-8 system
 
 Guy Roussin <guy.roussin@teledetection.fr>
  for suggesting not to display channel group delimiters without text
@@ -768,6 +775,8 @@
  Digital audio after switching to a channel that has DD and selecting the DD audio
  track
  for reporting a bug in timeout handling in cRwLock::Lock()
+ for pointing out that the SVDRP command DELR deleted recordings that are currently
+ being written to by a timer
 
 Malcolm Caldwell <malcolm.caldwell@ntu.edu.au>
  for modifying LOF handling to allow for C-band reception
@@ -786,6 +795,7 @@
  for adding some checks when canceling a thread and removing the usleep() in
  cThread::Start()
  for removing the LOCK_THREAD from the LIRC thread
+ for making the Makefile patch friendlier
 
 Thomas Koch <tom@harhar.net>
  for his support in keeping the Premiere World channels up to date in 'channels.conf'
@@ -869,6 +879,7 @@
 Rolf Ahrenberg <rahrenbe@cc.hut.fi>
  for translating OSD texts to the Finnish language
  for fixing internationalization of the text for "Setup/DVB/Audio language(s)"
+ for making pressing the Power button not stop Transfer Mode or replay immediately
 
 Ralf Klueber <ralf.klueber@vodafone.com>
  for reporting a bug in cutting a recording if there is only a single editing mark
@@ -941,7 +952,7 @@
  for fixing a possible freeze in pause mode in case a device's PlayPesPacket()
  function permanently returns 0
  for fixing a typo in detecting UTF-8
- for fixing handling fragments of less than 3 byte in cPesAssembler
+ for fixing handling fragments of less than 4 byte in cPesAssembler
  for some rearrangements in cDvbPlayer::Action() to avoid lockups on NPTL systems
 
 Richard Robson <richard_robson@beeb.net>
@@ -1061,6 +1072,7 @@
  for pointing out a missing call to cStatus::MsgOsdtatusMessage(NULL) in
  cSkins::Message()
  for reporting a problem in handling Transfer Mode for radio channels
+ for reporting a problem with messages when a cOsdObject uses the raw OSD
 
 Thomas Bergwinkl <Thomas.Bergwinkl@t-online.de>
  for fixing the validity check for channel IDs, because some providers use TIDs
@@ -1169,6 +1181,11 @@
  for fixing a bug in libsi's SubtitlingDescriptor::getLength()
  for removing scaling coordinates in letterbox mode from cDvbSpu
  for fixing a wrong inheritance in libsi's SubtitlingDescriptor::Subtitling
+ for adding cPlayer::DeviceSetVideoDisplayFormat()
+ for making the setup not being saved in case of a fatal error, to keep the volume
+ level from being set to a wrong value
+ for fixing a possible hangup when ending a replay session while cIndexFile::CatchUp()
+ is waiting
 
 Jürgen Schmitz <j.schmitz@web.de>
  for reporting a bug in displaying the current channel when switching via the SVDRP
@@ -1331,3 +1348,22 @@
 
 Wolfgang Fritz <wolfgang.fritz@gmx.net>
  for making recordings avoid zero sized video data files
+
+Michael Reinelt <reinelt@eunet.at>
+ for reporting a problem with the EPG scan on systems that don't use DiSEqC
+
+Johannes Stezenbach <js@linuxtv.org>
+ for pointing out that the byte swap for big endian systems in cDvbOsd::Flush()
+ is wrong
+
+Paavo Hartikainen <pahartik@sci.fi>
+ for verifying that the byte swap for big endian systems in cDvbOsd::Flush() was
+ wrong
+
+Georg Acher <acher@baycom.de>
+ for making tChannelID::operator==() inline for better performance
+ for introducing cListBase::count for better performance
+ for a patch that was used to implement hash tables to speed up cSchedule::GetEvent()
+ for avoiding unnecessary calls to getLength() in libsi/si.c, and avoiding the
+ '& 0xff' in CRC32::crc32() of libsi/util.c
+ for suggesting to reduce the priority of the section handler threads
diff -ruN vdr-1.3.24/HISTORY vdr-1.3.25/HISTORY
--- vdr-1.3.24/HISTORY	2005-05-08 16:10:04.000000000 +0200
+++ vdr-1.3.25/HISTORY	2005-05-29 13:44:26.000000000 +0200
@@ -3487,7 +3487,7 @@
 - Fixed handling transparent areas in cDvbSpuBitmap (thanks to Marco Schlüßler).
 - Now also considering the "EPG linger time" when saving the EPG data to file or
   listing it via LSTE (thanks to Roman Krenický).
-- Fixed handling fragments of less than 3 byte in cPesAssembler (thanks to
+- Fixed handling fragments of less than 4 byte in cPesAssembler (thanks to
   Reinhard Nissl).
 - Fixed a bug in libsi's SubtitlingDescriptor::getLength() (thanks to Marco
   Schlüßler).
@@ -3512,3 +3512,68 @@
   (thanks to Reinhard Nissl).
 - Fixed a wrong inheritance in libsi's SubtitlingDescriptor::Subtitling (thanks to
   Marco Schlüßler).
+
+2005-05-29: Version 1.3.25
+
+- Updated the Estonian OSD texts (thanks to Arthur Konovalov).
+- Some cable providers don't mark short channel names according to the standard,
+  but rather go their own way and use "name>short name". VDR now splits at this
+  character for cable channels (thanks to Gerhard Steiner for reporting this one).
+- Added a check for Setup.DiSEqC in cDvbDevice::ProvidesTransponder(), otherwise
+  the EPG scan didn't work on systems that don't use DiSEqC (thanks to Michael
+  Reinelt for reporting this one).
+- Made the Makefile patch friendlier (thanks to Ludwig Nussel).
+- Made cOsd::isOpen an integer counter to avoid problems with messages when a
+  cOsdObject uses the raw OSD (thanks to Andreas Regel for reporting this one).
+- Updated the Danish OSD texts (thanks to Mogens Elneff).
+- The file 'summary.vdr' has been replaced with 'info.vdr' and now contains the
+  information about a recording, in the same format as the events are stored in
+  'epg.data' (see man vdr(5) for details). Existing summary files can be converted
+  to the new format by running the Perl script 'summary2info.pl', as in
+
+  summary2info.pl /video
+
+  (the parameter given has to be the video directory). If there is no 'info.vdr'
+  file for a recording, an attempt is made to read a 'summary.vdr'.
+- The "Summary" button in the "Recordings" menu has been renamed to "Info", and
+  the page it brings up now shows the recording's information, much like the EPG
+  event page. Therefore it now no longer uses the skin's SetText() function, but
+  rather the SetRecording() function. Skin plugins may need to adjust that function
+  accordingly (see skinsttng.c, for instance).
+- The SVDRP command LSTR now lists the recording information in the same tagged
+  format as the LSTE command lists the EPG data.
+- The audio track menu now contains track descriptions when replaying (provided
+  such descriptions were available in the EPG data when the recording was made,
+  and are stored in the info.vdr file).
+- Avoiding extra blanks at the end of names of instant recordings.
+- Removed converting byte order on big endian systems from cDvbOsd::Flush(),
+  which, according to Johannes Stezenbach and Paavo Hartikainen, is wrong.
+- Added cPlayer::DeviceSetVideoDisplayFormat() (thanks to Marco Schlüßler).
+- No longer saving the setup in case of a fatal error, to keep the volume level
+  from being set to a wrong value (thanks to Marco Schlüßler).
+- Fixed a possible hangup when ending a replay session while cIndexFile::CatchUp()
+  is waiting (thanks to Marco Schlüßler).
+- The SVDRP command DELR no longer deletes recordings that are currently being
+  written to by a timer (thanks to Sascha Volkenandt for pointing out this one).
+- Pressing the "Play" key in live viewing mode now resumes a previous replay
+  session (thanks to Mirko Dölle).
+- Now dropping EPG events that have a zero start time or duration (thanks to
+  Oliver Endriss).
+- No longer stopping Transfer Mode or replay immediately when the Power button
+  is pressed (thanks to Rolf Ahrenberg).
+- Moved the NPTL and UTF-8 checks after the version and help output (thanks to
+  Andreas Kool for pointing out that 'vdr --version' failed on an UTF-8 system).
+- Made tChannelID::operator==() inline for better performance (thanks to Georg
+  Acher).
+- Introduced cListBase::count for better performance (thanks to Georg Acher).
+- cEvent no longer stores the channelID directly, but rather has a pointer to
+  the schedule it is in.
+- Now using hash tables to speed up cSchedule::GetEvent() (partially based on
+  a patch from Georg Acher).
+- Avoiding unnecessary calls to getLength() in libsi/si.c, and avoiding the
+  '& 0xff' in CRC32::crc32() of libsi/util.c (thanks to Georg Acher).
+- Speeded up deleting duplicate channels.
+- Fixed listing recordings with empty episode names in the LSTR command (thanks
+  to Stefan Huelswitt for pointing this out).
+- Added cThread::SetPriority() and using it in cSectionHandler::Action() to
+  reduce the priority of the section handler threads (as suggested by Georg Acher).
diff -ruN vdr-1.3.24/MANUAL vdr-1.3.25/MANUAL
--- vdr-1.3.24/MANUAL	2005-03-19 16:38:43.000000000 +0100
+++ vdr-1.3.25/MANUAL	2005-05-15 16:54:40.000000000 +0200
@@ -23,7 +23,7 @@
   Red     -           Record       Edit       Edit       ABC/abc       Play/Commands(2)  Jump             -
   Green   -           Audio        New        New        Ins/Ovr       Rewind            Skip -60s        -
   Yellow  -           Pause live   Delete     Delete     Delete        Delete            Skip +60s        -
-  Blue    -           Stop/Resume  Mark       On/Off(1)  -             Summary           Stop             -
+  Blue    -           Stop/Resume  Mark       On/Off(1)  -             Info              Stop             -
   0..9    Ch select   -            Sort(3)    Day(4)     Numeric inp.  Exec cmd(2)       Editing          -
 
   In a numerical input field (like the response to a CAM enquiry) the keys 0..9
diff -ruN vdr-1.3.24/Make.config.template vdr-1.3.25/Make.config.template
--- vdr-1.3.24/Make.config.template	2003-08-09 13:03:25.000000000 +0200
+++ vdr-1.3.25/Make.config.template	2005-05-14 12:32:33.000000000 +0200
@@ -6,7 +6,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Make.config.template 1.3 2003/08/09 11:03:25 kls Exp $
+# $Id: Make.config.template 1.4 2005/05/14 10:32:33 kls Exp $
 
 ### The C compiler and options:
 
@@ -14,7 +14,7 @@
 CFLAGS   = -O2
 
 CXX      = g++
-CXXFLAGS = -g -O2 -Wall -Woverloaded-virtual
+CXXFLAGS = -fPIC -g -O2 -Wall -Woverloaded-virtual
 
 ### The directory environment:
 
diff -ruN vdr-1.3.24/Makefile vdr-1.3.25/Makefile
--- vdr-1.3.24/Makefile	2005-02-13 11:13:45.000000000 +0100
+++ vdr-1.3.25/Makefile	2005-05-14 12:32:13.000000000 +0200
@@ -4,7 +4,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile 1.74 2005/02/13 10:13:45 kls Exp $
+# $Id: Makefile 1.75 2005/05/14 10:32:13 kls Exp $
 
 .DELETE_ON_ERROR:
 
@@ -12,12 +12,14 @@
 CFLAGS   ?= -O2
 
 CXX      ?= g++
-CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual
+CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual
 
 DVBDIR   = ../DVB
 LSIDIR   = ./libsi
 MANDIR   = /usr/local/man
 BINDIR   = /usr/local/bin
+LIBS     = -ljpeg -lpthread -ldl
+INCLUDES =
 
 PLUGINDIR= ./PLUGINS
 PLUGINLIBDIR= $(PLUGINDIR)/lib
@@ -29,7 +31,7 @@
 
 -include Make.config
 
-INCLUDES = -I$(DVBDIR)/include
+INCLUDES += -I$(DVBDIR)/include
 
 SILIB    = $(LSIDIR)/libsi.a
 
@@ -106,7 +108,7 @@
 # The main program:
 
 vdr: $(OBJS) $(SILIB)
-	$(CXX) $(CXXFLAGS) -rdynamic $(OBJS) $(NCURSESLIB) -ljpeg -lpthread -ldl $(LIBDIRS) $(SILIB) -o vdr
+	$(CXX) $(CXXFLAGS) -rdynamic $(OBJS) $(NCURSESLIB) $(LIBS) $(LIBDIRS) $(SILIB) -o vdr
 
 # The font files:
 
diff -ruN vdr-1.3.24/PLUGINS/src/skincurses/HISTORY vdr-1.3.25/PLUGINS/src/skincurses/HISTORY
--- vdr-1.3.24/PLUGINS/src/skincurses/HISTORY	2005-01-02 16:11:44.000000000 +0100
+++ vdr-1.3.25/PLUGINS/src/skincurses/HISTORY	2005-05-16 12:41:07.000000000 +0200
@@ -13,3 +13,7 @@
 
 - Made several functions threadsafe.
 - New audio track display.
+
+2005-05-16: Version 0.0.4
+
+- New "recording info" display.
diff -ruN vdr-1.3.24/PLUGINS/src/skincurses/skincurses.c vdr-1.3.25/PLUGINS/src/skincurses/skincurses.c
--- vdr-1.3.24/PLUGINS/src/skincurses/skincurses.c	2005-01-09 12:56:26.000000000 +0100
+++ vdr-1.3.25/PLUGINS/src/skincurses/skincurses.c	2005-05-16 12:45:12.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: skincurses.c 1.5 2005/01/09 11:56:26 kls Exp $
+ * $Id: skincurses.c 1.6 2005/05/16 10:45:12 kls Exp $
  */
 
 #include <ncurses.h>
@@ -11,7 +11,7 @@
 #include <vdr/plugin.h>
 #include <vdr/skins.h>
 
-static const char *VERSION        = "0.0.3";
+static const char *VERSION        = "0.0.4";
 static const char *DESCRIPTION    = "A text only skin";
 static const char *MAINMENUENTRY  = NULL;
 
@@ -407,7 +407,30 @@
 
 void cSkinCursesDisplayMenu::SetRecording(const cRecording *Recording)
 {
-  SetText(Recording->Summary(), false); //TODO
+  if (!Recording)
+     return;
+  const cRecordingInfo *Info = Recording->Info();
+  int y = 2;
+  cTextScroller ts;
+  char t[32];
+  snprintf(t, sizeof(t), "%s  %s", *DateString(Recording->start), *TimeString(Recording->start));
+  ts.Set(osd, 0, y, OsdWidth, OsdHeight - y - 2, t, &Font, clrYellow, clrBackground);
+  y += ts.Height();
+  y += 1;
+  const char *Title = Info->Title();
+  if (isempty(Title))
+     Title = Recording->Name();
+  ts.Set(osd, 0, y, OsdWidth, OsdHeight - y - 2, Title, &Font, clrCyan, clrBackground);
+  y += ts.Height();
+  if (!isempty(Info->ShortText())) {
+     ts.Set(osd, 0, y, OsdWidth, OsdHeight - y - 2, Info->ShortText(), &Font, clrYellow, clrBackground);
+     y += ts.Height();
+     }
+  y += 1;
+  if (!isempty(Info->Description())) {
+     textScroller.Set(osd, 0, y, OsdWidth - 2, OsdHeight - y - 2, Info->Description(), &Font, clrCyan, clrBackground);
+     SetScrollbar();
+     }
 }
 
 void cSkinCursesDisplayMenu::SetText(const char *Text, bool FixedFont)
diff -ruN vdr-1.3.24/channels.c vdr-1.3.25/channels.c
--- vdr-1.3.24/channels.c	2005-05-07 15:14:32.000000000 +0200
+++ vdr-1.3.25/channels.c	2005-05-29 12:32:38.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: channels.c 1.38 2005/05/07 13:14:32 kls Exp $
+ * $Id: channels.c 1.42 2005/05/29 10:32:38 kls Exp $
  */
 
 #include "channels.h"
@@ -124,11 +124,6 @@
 
 const tChannelID tChannelID::InvalidID;
 
-bool tChannelID::operator== (const tChannelID &arg) const
-{
-  return source == arg.source && nid == arg.nid && tid == arg.tid && sid == arg.sid && rid == arg.rid;
-}
-
 tChannelID tChannelID::FromString(const char *s)
 {
   char *sourcebuf = NULL;
@@ -146,7 +141,7 @@
   return tChannelID::InvalidID;
 }
 
-cString tChannelID::ToString(void)
+cString tChannelID::ToString(void) const
 {
   char buffer[256];
   snprintf(buffer, sizeof(buffer), rid ? "%s-%d-%d-%d-%d" : "%s-%d-%d-%d", *cSource::ToString(source), nid, tid, sid, rid);
@@ -263,11 +258,6 @@
   return tf;
 }
 
-tChannelID cChannel::GetChannelID(void) const
-{
-  return tChannelID(source, nid, (nid || tid) ? tid : Transponder(), sid, rid);
-}
-
 int cChannel::Modification(int Mask)
 {
   int Result = modification & Mask;
@@ -814,6 +804,22 @@
   return fprintf(f, "%s", *ToText()) > 0;
 }
 
+// -- cChannelSorter ---------------------------------------------------------
+
+class cChannelSorter : public cListObject {
+public:
+  cChannel *channel;
+  tChannelID channelID;
+  cChannelSorter(cChannel *Channel) {
+    channel = Channel;
+    channelID = channel->GetChannelID();
+    }
+  virtual int Compare(const cListObject &ListObject) const {
+    cChannelSorter *cs = (cChannelSorter *)&ListObject;
+    return memcmp(&channelID, &cs->channelID, sizeof(channelID));
+    }
+  };
+
 // -- cChannels --------------------------------------------------------------
 
 cChannels Channels;
@@ -826,22 +832,21 @@
 
 void cChannels::DeleteDuplicateChannels(void)
 {
+  cList<cChannelSorter> ChannelSorter;
   for (cChannel *channel = First(); channel; channel = Next(channel)) {
-      if (!channel->GroupSep()) {
-         tChannelID ChannelID = channel->GetChannelID();
-         cChannel *other = Next(channel);
-         while (other) {
-               cChannel *d = NULL;
-               if (!other->GroupSep() && other->GetChannelID() == ChannelID)
-                  d = other;
-               other = Next(other);
-               if (d) {
-                  dsyslog("deleting duplicate channel %s", *d->ToText());
-                  Del(d);
-                  }
-               }
-         }
+      if (!channel->GroupSep())
+         ChannelSorter.Add(new cChannelSorter(channel));
       }
+  ChannelSorter.Sort();
+  cChannelSorter *cs = ChannelSorter.First();
+  while (cs) {
+        cChannelSorter *next = ChannelSorter.Next(cs);
+        if (next && cs->channelID == next->channelID) {
+           dsyslog("deleting duplicate channel %s", *next->channel->ToText());
+           Del(next->channel);
+           }
+        cs = next;
+        }
 }
 
 bool cChannels::Load(const char *FileName, bool AllowComments, bool MustExist)
diff -ruN vdr-1.3.24/channels.conf vdr-1.3.25/channels.conf
--- vdr-1.3.24/channels.conf	2005-05-08 16:25:36.000000000 +0200
+++ vdr-1.3.25/channels.conf	2005-05-29 16:22:12.000000000 +0200
@@ -26,14 +26,14 @@
 DSF;BetaDigital:12480:vC34:S19.2E:27500:1023:1024=deu:0:0:900:133:33:0
 HSE24,HSE24;BetaDigital:12480:vC34:S19.2E:27500:1279:1280=deu:37:0:40:133:33:0
 Bloomberg TV Germany;Bloomberg:12551:vC56:S19.2E:22000:162:99=deu:0:0:12160:1:1108:0
-EURONEWS;CSAT:11817:vC34:S19.2E:27500:163:92=fra,93=eng,94=ita,95=esl,91=rus,98=por,99=deu:0:0:8004:1:1070:0
+EURONEWS;CSAT:11817:vC34:S19.2E:27500:163:92=fra,91=rus,93=eng,94=ita,95=esl,98=por,99=deu:0:0:8004:1:1070:0
 rbb Brandenburg;ARD:12109:hC34:S19.2E:27500:601:602=deu:604:0:28205:1:1073:0
 Sky News;BSkyB:11597:vC56:S19.2E:22000:305+131:306=eng:0:0:28707:1:1026:0
 Veronica/JETIX;CANAL+:12574:hC56:S19.2E:22000:518+8190:92=dut:38:622,100:5020:53:1109:0
 BVN;CANAL+:12574:hC56:S19.2E:22000:515+8190:96=dut:36:0:5025:53:1109:0
 n-tv;RTL World:12187:hC34:S19.2E:27500:169:73=deu:80:0:12090:1:1089:0
 Al Jazeera;CANALSATELLITE:11567:vC56:S19.2E:22000:55:56=ara:0:0:9021:1:1024:0
-TW1 - 28Feb05;ORF:12692:hC56:S19.2E:22000:166:167=deu:168:0:13013:1:1117:0
+TW1;ORF:12662:hC56:S19.2E:22000:1010:1011=deu:1013:0:13101:1:1115:0
 Eurosport;ZDFvision:11953:hC34:S19.2E:27500:410:420=deu:430:0:28009:1:1079:0
 EinsExtra;ARD:12109:hC34:S19.2E:27500:101:102=deu:0:0:28201:1:1073:0
 EinsFestival;ARD:12109:hC34:S19.2E:27500:201:202=deu:0:0:28202:1:1073:0
@@ -45,10 +45,10 @@
 :Premiere World
 PREMIERE START,START;PREMIERE:11797:hC34:S19.2E:27500:255:256=deu:32:1702,1801,1722:8:133:2:0
 PREMIERE 1,PREM 1;PREMIERE:11797:hC34:S19.2E:27500:511:512=deu,513=deu;515=deu:32:1722,1801,1702:10:133:2:0
-PREMIERE 2,PREM 2;PREMIERE:11797:hC34:S19.2E:27500:1791:1792=deu,1793=deu;1795=deu:32:1722,1801,1702:11:133:2:0
+PREMIERE 2,PREM 2;PREMIERE:11797:hC34:S19.2E:27500:1791:1792=deu;1795=deu:32:1722,1801,1702:11:133:2:0
 PREMIERE 3,PREM 3;PREMIERE:11797:hC34:S19.2E:27500:2303:2304=deu,2305=deu:32:1722,1801,1702:43:133:2:0
-PREMIERE 4,PREM 4;PREMIERE:11797:hC34:S19.2E:27500:767:768=deu,769=deu:32:1801,1722,1702:9:133:2:0
-PREMIERE 5,PREM 5;PREMIERE:11797:hC34:S19.2E:27500:1279:1280=deu,1281=deu:32:1801,1722,1702:29:133:2:0
+PREMIERE 4,PREM 4;PREMIERE:11797:hC34:S19.2E:27500:767:768=deu:32:1801,1722,1702:9:133:2:0
+PREMIERE 5,PREM 5;PREMIERE:11797:hC34:S19.2E:27500:1279:1280=deu:32:1801,1722,1702:29:133:2:0
 PREMIERE 6,PREM 6;PREMIERE:11797:hC34:S19.2E:27500:1535:1536=deu:32:1702,1722,1801:41:133:2:0
 PREMIERE 7,PREM 7;PREMIERE:11797:hC34:S19.2E:27500:1023:1024=deu:32:1722,1702,1801:20:133:2:0
 DISNEY CHANNEL,DISNEY;PREMIERE:11758:hC34:S19.2E:27500:2559:2560=deu:32:1722,1801,1702:34:133:17:0
@@ -58,7 +58,7 @@
 BEATE-UHSE.TV,B-UHSE;PREMIERE:12070:hC34:S19.2E:27500:1023:1024=deu:32:1702,1801,1722:21:133:1:0
 DIREKT EROTIK,EROTIK;PREMIERE:12031:hC34:S19.2E:27500:1279:0:0:1722,1801,1702:513:133:4:0
 :Sportsworld
-Konferenz:11719:hC34:S19.2E:27500:255:256=deu,257=deu:32:1702,1801,1722:17:133:3:0
+F1-Portal:11719:hC34:S19.2E:27500:255:256=deu,257=deu:32:1702,1801,1722:17:133:3:0
 PREMIERE SPORT 2,SPORT 2;PREMIERE:12031:hC34:S19.2E:27500:3839:3840=deu,3841=deu:32:1722,1702,1801:27:133:4:0
 :Beta Digital
 N24;ProSiebenSat.1:12480:vC34:S19.2E:27500:2047:2048=deu:36:0:47:133:33:0
@@ -72,14 +72,14 @@
 LCP;CSAT:12207:vC34:S19.2E:27500:2047+8191:0:0:0:8506:1:1090:0
 ESCALES;ABSAT:12285:vC34:S19.2E:27500:165:100:41:500,100:17025:1:1094:0
 Best of Shopping;CSAT:12324:vC34:S19.2E:27500:160:80=fra:0:0:8612:1:1096:0
-ASTRA-Mosaic;ASTRA:12551:vC56:S19.2E:22000:175:176=fra:0:0:3988:1:1108:0
-ASTRA-Mosaic 2;ASTRA:12551:vC56:S19.2E:22000:179:120=fra:0:0:3987:1:1108:0
-ASTRA-Mosaic 3;ASTRA:12551:vC56:S19.2E:22000:182:169=fra:0:0:3986:1:1108:0
-ASTRA-Mosaic 4;ASTRA:12551:vC56:S19.2E:22000:185:170=fra:0:0:3985:1:1108:0
-ASTRA-Mosaic 5;ASTRA:12551:vC56:S19.2E:22000:163:164:0:0:3984:1:1108:0
+ASTRA-Mosaic;SES ASTRA:12551:vC56:S19.2E:22000:175:176=fra:0:0:3988:1:1108:0
+ASTRA-Mosaic 2;SES ASTRA:12551:vC56:S19.2E:22000:179:120=fra:0:0:3987:1:1108:0
+ASTRA-Mosaic 3;SES ASTRA:12551:vC56:S19.2E:22000:182:169=fra:0:0:3986:1:1108:0
+ASTRA-Mosaic 4;SES ASTRA:12551:vC56:S19.2E:22000:185:170=fra:0:0:3985:1:1108:0
+ASTRA-Mosaic 5;SES ASTRA:12551:vC56:S19.2E:22000:163:164:0:0:3984:1:1108:0
 Chamber TV;Chambre des Députées:12551:vC56:S19.2E:22000:55:56=ltz:0:0:12180:1:1108:0
 RTL TELE Letzebuerg:12551:vC56:S19.2E:22000:168:144=eng,146=fra,151=ltz:74:0:3994:1:1108:0
-Yorin;CANAL+:12574:hC56:S19.2E:22000:512+8190:84=dut:33:622,602,100:5010:53:1109:0
+Yorin;CANAL+:12574:hC56:S19.2E:22000:512+8190:84=dut:33:622,100:5010:53:1109:0
 MTV2 Pop Channel;MTV Networks:12226:hC34:S19.2E:27500:513+8190:661=deu:577:0:28640:1:1091:0
 MTV Central;MTV Networks:11739:vC34:S19.2E:27500:3031:3032:3034:0:28653:1:1066:0
 Via 1 - Schöner Reisen:12148:h:S19.2E:27500:511:512:0:0:44:0:0:0
@@ -88,9 +88,9 @@
 QVC Deutschland;QVC:12551:vC56:S19.2E:22000:165:166:167:0:12100:1:1108:0
 TELE 5;BetaDigital:12480:vC34:S19.2E:27500:1535:1536=deu:38:0:51:133:33:0
 :@201 Sky
-Sky One;BSkyB:12226:hC23:S28.2E:27500:2305+2304:2306=eng:2307:960,961:4705:2:2027:0
-Sky Mix;BSkyB:12226:hC23:S28.2E:27500:2311+2304:2312=eng,2313=NAR:2314:960,961:5104:2:2027:0
-ITV2;BSkyB:10906:vC56:S28.2E:22000:2350:2351=eng:2353:960,961:10240:2:2054:0
+Sky One;BSkyB:12226:hC23:S28.2E:27500:515+8190:643=eng:579:960,961:4705:2:2027:0
+Sky Mix;BSkyB:12226:hC23:S28.2E:27500:514+8190:642=eng,662=NAR:578:960,961:5104:2:2027:0
+ITV2;BSkyB:10906:vC56:S28.2E:22000:2350:2351=eng,2374=UND:2353:960,961:10240:2:2054:0
 Sci-Fi;BSkyB:12148:hC23:S28.2E:27500:512+8190:640=eng:576:960,961:4905:2:2023:0
 Paramount;BSkyB:12187:hC23:S28.2E:27500:2313+2304:2317=eng,2318=NAR:2315:960,961:5904:2:2025:0
 Discovery;BSkyB:11875:hC23:S28.2E:27500:2304:2306=eng,2307=NAR:2305:960,961:6201:2:2009:0
@@ -113,7 +113,7 @@
 S1T;BSkyB:12285:vC23:S28.2E:27500:513+8190:641=eng,661=NAR:577:960,961:4409:2:2030:0
 CNN;BSkyB:12051:vC23:S28.2E:27500:2313:2315=eng:2314:0:7140:2:2018:0
 BBC PARL'MNT:12129:vC23:S28.2E:27500:2304:2306=eng,2307=eng:2305:0:7300:2:2022:0
-BTL TV;T-Systems/MTI:11200:vC56:S13.0E:27500:413:414=ita:0:0:4733:318:13400:0
+Bethel TV;T-Systems/MTI:11200:vC56:S13.0E:27500:413:414=ita:0:0:4733:318:13400:0
 Euro1080;EURO1080:12168:vC34:S19.2E:27500:308:256:0:FF:21100:1:1088:0
 Astra HD:12441:vC34:S19.2E:27500:133+80:134=eng:0:FF:29700:0:0:0
 eng-WRN-multi;WRN:12597:vC34:S13.0E:27500:0:2132:0:0:8230:318:9400:0
diff -ruN vdr-1.3.24/channels.h vdr-1.3.25/channels.h
--- vdr-1.3.24/channels.h	2005-05-07 15:07:09.000000000 +0200
+++ vdr-1.3.25/channels.h	2005-05-28 15:57:08.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: channels.h 1.28 2005/05/07 13:07:09 kls Exp $
+ * $Id: channels.h 1.32 2005/05/28 13:57:08 kls Exp $
  */
 
 #ifndef __CHANNELS_H
@@ -65,12 +65,12 @@
 public:
   tChannelID(void) { source = nid = tid = sid = rid = 0; }
   tChannelID(int Source, int Nid, int Tid, int Sid, int Rid = 0) { source = Source; nid = Nid; tid = Tid; sid = Sid; rid = Rid; }
-  bool operator== (const tChannelID &arg) const;
-  bool Valid(void) { return (nid || tid) && sid; } // rid is optional and source may be 0//XXX source may not be 0???
+  bool operator== (const tChannelID &arg) const { return source == arg.source && nid == arg.nid && tid == arg.tid && sid == arg.sid && rid == arg.rid; }
+  bool Valid(void) const { return (nid || tid) && sid; } // rid is optional and source may be 0//XXX source may not be 0???
   tChannelID &ClrRid(void) { rid = 0; return *this; }
   tChannelID &ClrPolarization(void);
   static tChannelID FromString(const char *s);
-  cString ToString(void);
+  cString ToString(void) const;
   static const tChannelID InvalidID;
   };
 
@@ -176,10 +176,10 @@
   int Transmission(void) const { return transmission; }
   int Guard(void) const { return guard; }
   int Hierarchy(void) const { return hierarchy; }
-  bool IsCable(void) const { return (source & cSource::st_Mask) == cSource::stCable; }
-  bool IsSat(void) const { return (source & cSource::st_Mask) == cSource::stSat; }
-  bool IsTerr(void) const { return (source & cSource::st_Mask) == cSource::stTerr; }
-  tChannelID GetChannelID(void) const;
+  bool IsCable(void) const { return cSource::IsCable(source); }
+  bool IsSat(void) const { return cSource::IsSat(source); }
+  bool IsTerr(void) const { return cSource::IsTerr(source); }
+  tChannelID GetChannelID(void) const { return tChannelID(source, nid, (nid || tid) ? tid : Transponder(), sid, rid); }
   int Modification(int Mask = CHANNELMOD_ALL);
   bool SetSatTransponderData(int Source, int Frequency, char Polarization, int Srate, int CoderateH);
   bool SetCableTransponderData(int Source, int Frequency, int Modulation, int Srate, int CoderateH);
diff -ruN vdr-1.3.24/config.h vdr-1.3.25/config.h
--- vdr-1.3.24/config.h	2005-05-05 13:04:18.000000000 +0200
+++ vdr-1.3.25/config.h	2005-05-14 11:18:08.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 1.217 2005/05/05 11:04:18 kls Exp $
+ * $Id: config.h 1.218 2005/05/14 09:18:08 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -20,8 +20,8 @@
 #include "i18n.h"
 #include "tools.h"
 
-#define VDRVERSION  "1.3.24"
-#define VDRVERSNUM   10324  // Version * 10000 + Major * 100 + Minor
+#define VDRVERSION  "1.3.25"
+#define VDRVERSNUM   10325  // Version * 10000 + Major * 100 + Minor
 
 #define MAXPRIORITY 99
 #define MAXLIFETIME 99
diff -ruN vdr-1.3.24/cutter.c vdr-1.3.25/cutter.c
--- vdr-1.3.24/cutter.c	2004-06-13 18:04:08.000000000 +0200
+++ vdr-1.3.25/cutter.c	2005-05-15 16:21:08.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: cutter.c 1.7 2004/06/13 16:04:08 kls Exp $
+ * $Id: cutter.c 1.8 2005/05/15 14:21:08 kls Exp $
  */
 
 #include "cutter.h"
@@ -204,7 +204,7 @@
         free(s);
         // XXX
         editedVersionName = strdup(evn);
-        Recording.WriteSummary();
+        Recording.WriteInfo();
         Recordings.AddByName(editedVersionName);
         cuttingThread = new cCuttingThread(FileName, editedVersionName);
         return true;
diff -ruN vdr-1.3.24/dvbdevice.c vdr-1.3.25/dvbdevice.c
--- vdr-1.3.24/dvbdevice.c	2005-03-20 11:10:38.000000000 +0100
+++ vdr-1.3.25/dvbdevice.c	2005-05-16 17:23:43.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: dvbdevice.c 1.127 2005/03/20 10:10:38 kls Exp $
+ * $Id: dvbdevice.c 1.129 2005/05/16 15:23:43 kls Exp $
  */
 
 #include "dvbdevice.h"
@@ -741,7 +741,7 @@
 
 bool cDvbDevice::ProvidesTransponder(const cChannel *Channel) const
 {
-  return ProvidesSource(Channel->Source()) && ((Channel->Source() & cSource::st_Mask) != cSource::stSat || Diseqcs.Get(Channel->Source(), Channel->Frequency(), Channel->Polarization()));
+  return ProvidesSource(Channel->Source()) && (!cSource::IsSat(Channel->Source()) || !Setup.DiSEqC || Diseqcs.Get(Channel->Source(), Channel->Frequency(), Channel->Polarization()));
 }
 
 bool cDvbDevice::ProvidesChannel(const cChannel *Channel, int Priority, bool *NeedsDetachReceivers) const
diff -ruN vdr-1.3.24/dvbosd.c vdr-1.3.25/dvbosd.c
--- vdr-1.3.24/dvbosd.c	2005-02-12 16:36:31.000000000 +0100
+++ vdr-1.3.25/dvbosd.c	2005-05-22 12:57:45.000000000 +0200
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: dvbosd.c 1.26 2005/02/12 15:36:31 kls Exp $
+ * $Id: dvbosd.c 1.27 2005/05/22 10:57:45 kls Exp $
  */
 
 #include "dvbosd.h"
@@ -151,10 +151,6 @@
             for (int i = 0; i < NumColors; i++) {
                 // convert AARRGGBB to AABBGGRR (the driver expects the colors the wrong way):
                 colors[i] = (Colors[i] & 0xFF000000) | ((Colors[i] & 0x0000FF) << 16) | (Colors[i] & 0x00FF00) | ((Colors[i] & 0xFF0000) >> 16);
-#if __BYTE_ORDER == __BIG_ENDIAN
-                // actually the driver itself should access the bytes according to the current endianness!
-                colors[i] = ((colors[i] & 0xFF) << 24) | ((colors[i] & 0xFF00) << 8) | ((colors[i] & 0xFF0000) >> 8) | ((colors[i] & 0xFF000000) >> 24);
-#endif
                 }
             Colors = colors;
             //TODO end of stuff that should be fixed in the driver
